MyGUI::geometry_utility Namespace Reference

## Enumerations

enum | Side { Left , Right , Top , Bottom }

## Functions

VectorFloatPoint | cropPolygon (FloatPoint *_baseVerticiesPos, size_t _size, const IntCoord &_cropRectangle)
void | cropPolygonSide (VectorFloatPoint &_verticies, int _sideCoord, Side _side)
FloatPoint | getPositionInsideRect (const FloatPoint &_point, const FloatPoint &_corner0, const FloatPoint &_corner1, const FloatPoint &_corner2)
FloatPoint | getUVFromPositionInsideRect (const FloatPoint &_point, const FloatPoint &_v0, const FloatPoint &_v1, const FloatPoint &_baseUV)

## Enumeration Type Documentation

## Side

enum MyGUI::geometry_utility::Side

Enumerator
Left |
Right |
Top |
Bottom |

Definition at line 22 of file MyGUI_GeometryUtility.h.

## Function Documentation

## cropPolygon()

VectorFloatPoint MyGUI::geometry_utility::cropPolygon | ( | FloatPoint * | _baseVerticiesPos,
|  | size_t | _size,
|  | const IntCoord & | _cropRectangle )

Definition at line 13 of file MyGUI_GeometryUtility.cpp.

## cropPolygonSide()

void MyGUI::geometry_utility::cropPolygonSide | ( | VectorFloatPoint & | _verticies,
|  | int | _sideCoord,
|  | Side | _side )

Definition at line 30 of file MyGUI_GeometryUtility.cpp.

## getPositionInsideRect()

FloatPoint MyGUI::geometry_utility::getPositionInsideRect | ( | const FloatPoint & | _point,
|  | const FloatPoint & | _corner0,
|  | const FloatPoint & | _corner1,
|  | const FloatPoint & | _corner2 )

Definition at line 86 of file MyGUI_GeometryUtility.cpp.

## getUVFromPositionInsideRect()

FloatPoint MyGUI::geometry_utility::getUVFromPositionInsideRect | ( | const FloatPoint & | _point,
|  | const FloatPoint & | _v0,
|  | const FloatPoint & | _v1,
|  | const FloatPoint & | _baseUV )

Definition at line 104 of file MyGUI_GeometryUtility.cpp.